Subject: Re: pkgsrc IRIX 6.5/mipseb bulk build results 20060824.1653
To: None <>
From: Jan Schaumann <>
List: pkgsrc-bulk
Date: 09/02/2006 13:10:34
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Joerg Sonnenberger <> wrote:
> On Thu, Aug 31, 2006 at 02:22:25PM -0400, Jan Schaumann wrote:
> > devel/gmake                3437
> > devel/bison                1413
> Both are gettext fallout.

Actually, the problem is not that gettext doesn't build, but that it
fails at installing gettext-tools a second time (or some such):

=3D> Required installed package gettext>=3D0.10.36: NOT found
=3D> Verifying package for ../../devel/gettext-tools
=3D> Checksum SHA1 OK for gettext-0.14.5.tar.gz.
=3D> Checksum RMD160 OK for gettext-0.14.5.tar.gz.
=3D=3D=3D> Installing dependencies for gettext-tools-0.14.5
[build build build]
=3D> Unwrapping files-to-be-installed.
=3D=3D=3D> Installing for gettext-tools-0.14.5
ERROR: gettext-tools-0.14.5 is already installed - perhaps an older
ERROR: If so, you may use either of:
ERROR:     - "pkg_delete gettext-tools-0.14.5" and "/usr/pkg/bin/bmake rein=
ERROR:       to upgrade properly
ERROR:     - "/usr/pkg/bin/bmake update" to rebuild the package and all
ERROR:       of its dependencies
ERROR:     - "/usr/pkg/bin/bmake replace" to replace only the package
ERROR:       re-linking dependencies, risking various problems.
*** Error code 1

bmake: stopped in /usr/people/jschauma/pkgsrc/devel/gettext-tools
*** Error code 1

So what's confusing to me here is that it say:

=3D> Required installed package gettext>=3D0.10.36: NOT found

but then goes into gettext-tools:

=3D> Verifying package for ../../devel/gettext-tools

But gettext-tools is already installed, so when it was checking for
gettext, either it should notice that gettext-tools is installed and
accept that, or it should go into ../../devel/gettext, I'd think.



Fate, it seems, is not without a sense of irony.

Content-Type: application/pgp-signature
Content-Disposition: inline

Version: GnuPG v1.4.3 (NetBSD)